<template>
    <div class="newskill">
        <h2>Add New Skill</h2>

        <form @submit.prevent = "addSkill">
            <input type="text" placeholder="Enter Skill Name (Javascript etc)..." v-model = "name" required>
            <input type="text" placeholder="Enter Skill Type (Frontend or Backend)..." v-model = "type" required>
            <input type="text" placeholder="Enter Skill ID (03 etc)..." v-model = "skill_id" required>


            <div class="buttonClass">
                <router-link to="/skill"><button class="btn-cancel">CANCEL</button></router-link>
                <button type="submit" class="btn-submit">SUBMIT</button>
            </div>

        </form>
        


    </div>
</template>

<script>
    import db from '@/db'
    export default {
        name: 'newskill',

        data () {
            return {
                skill_id: null,
                name: null,
                type: null
            }
        },

        methods : {
            addSkill(){
                db.collection('myskills').add({
                    skill_id : this.skill_id,
                    name: this.name,
                    type: this.type
                }).then(docRef => {
                    this.$router.push('/skill')
                })
            }
        }

    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">

    h2 {
        text-align: center;
    }
    input {
        width: calc(100% - 40px);
        padding: 20px;
        border: 0;
        font-size: 1.3em;
        background-color: #323333;
        color: #687F7F;
        margin-top: 5px;
        box-shadow: 0px 5px 5px #888888;
    }

    p {
        text-align:center;
        padding: 30px 0;
        color: gray;
    }

    .buttonClass {
        display: flex;
        width: 50%;
        margin-left: auto;
        margin-right: auto;
        padding: 30px;
        justify-content: center;

        button {
            box-shadow: 0 0 5px -1px rgba(0,0,0,0.2);
            border: 1px solid transparent;
            cursor:pointer;
            padding: 8px;
            width: 170px;
            margin-right: 20px;
            -moz-border-radius: 2px;
            border-radius: 2px;
        }

        .btn-submit {
            background-color: #1e999e;
            color: beige;
        }

        .btn-cancel {
            background-color: #e12c51;
            color: beige;
        }
    }
</style>
